// Configuration -- customize here 
this.role = "sothis"; 
this.count = 1; 

this.scrambledPseudoRandom = function(salt)
{
    // Convert from float in [0..1) with 24 bits of precision to integer.
    var n = Math.floor(system.pseudoRandomNumber * 16777216.0);
   
    // Add salt to enable generation of different sequences.
    n += salt;
   
    // Scramble with basic LCG psuedo-random number generator.
    n = (214013 * n + 2531011) & 0xFFFFFFFF;
    n = (214013 * n + 2531011) & 0xFFFFFFFF;
    n = (214013 * n + 2531011) & 0xFFFFFFFF;
   
    // Convert from (effectively) 32-bit signed integer to float in [0..1).
    return n / 4294967296.0 + 0.5;
};


// Standard attributes 
this.name           = "Spawn-" + this.role; 
this.author         = "Jens Ayton"; 
this.copyright      = "This script is hereby placed in the public domain."; 
this.version        = "1.0.1"; 
this.description    = "Script to make several ships of a given role appear outside the station upon launching." 


this.shipWillExitWitchspace = function() 
{ 
  if (this.scrambledPseudoRandom(10) < 0.666)
    system.legacy_addShipsAt(this.role, this.count, "pwp", [0.1, 0.2, 2]);  
    log("testscript.spawn", "Generated " + this.count + " " + this.role + " for testing purposes." + this.scrambledPseudoRandom(10)); 

} 
